Bug 520730 - mkinitrd needs to start hotplug before loading gpu drivers.
Summary: mkinitrd needs to start hotplug before loading gpu drivers.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 02:05 UTC by Dave Airlie
Modified: 2009-09-29 14:24 UTC (History)
3 users (show)

Fixed In Version: 6.0.87-4.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-29 14:24:11 UTC


Attachments (Terms of Use)
patch to implement this (1015 bytes, patch)
2009-09-02 02:06 UTC, Dave Airlie
no flags Details | Diff

Description Dave Airlie 2009-09-02 02:05:21 UTC
currently the hotplug is started after we modprobe the gpu modules.

Upstream kernel is moving to firmware loading for gpu modules.

Comment 1 Dave Airlie 2009-09-02 02:06:50 UTC
Created attachment 359465 [details]
patch to implement this

I'd like to fix F11 and rawhide if possible so when upstream kernel is released
we'll be ready.

Comment 2 Hans de Goede 2009-09-02 08:53:34 UTC
Thx, committed and build for rawhide. Keeping this bug open to track the F-11 update.

Comment 3 Fedora Update System 2009-09-02 09:17:37 UTC
mkinitrd-6.0.87-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mkinitrd-6.0.87-4.fc11

Comment 4 Fedora Update System 2009-09-03 00:29:15 UTC
mkinitrd-6.0.87-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mkinitrd'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9233

Comment 5 Fedora Update System 2009-09-29 14:24:05 UTC
mkinitrd-6.0.87-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.